using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BeWo.Data.Entities;
using BeWo.Service.Invoicing;
using BeWo.Service.Plugins;
using BS.Shared;
using BS.Shared.Core;
using BS.Shared.DataContracts;
using BS.Shared.Services;

namespace BeWo.TrialogReports.Invoicing
{
	internal class TrialogInvoiceNumberGenerator : InvoiceNumberGenerator
	{
		public override string GetNextInvoiceNumber(int increment, InvoiceBase invoiceBase)
		{
			if (invoiceBase == null || invoiceBase.Type == InvoiceType.Settlement)
			{
				return null;
			}
			return base.GetNextInvoiceNumber(increment, invoiceBase);
		}

	}
}
